Package org.apache.tomcat.util.codec

# Class EncoderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.tomcat.util.codec.EncoderException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class EncoderException extends Exception
Deprecated.
This exception is unused and will be removed in Tomcat 9
Thrown when there is a failure condition during the encoding process. This exception is thrown when an `Encoder` encounters a encoding specific exception such as invalid data, inability to calculate a checksum, characters outside of the expected range.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EncoderException()`
Deprecated.
Constructs a new exception with `null` as its detail message.
`EncoderException(String message)`
Deprecated.
Constructs a new exception with the specified detail message.
`EncoderException(String message, Throwable cause)`
Deprecated.
Constructs a new exception with the specified detail message and cause.
`EncoderException(Throwable cause)`
Deprecated.
Constructs a new exception with the specified cause and a detail message of `(cause==null ?`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EncoderException

public EncoderException()
Deprecated.
Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

Since:
  1.4

### EncoderException

public EncoderException(String message)
Deprecated.
Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

Parameters:
  `message` - a useful message relating to the encoder specific error.

### EncoderException

public EncoderException(String message, Throwable cause)
Deprecated.
Constructs a new exception with the specified detail message and cause.

Note that the detail message associated with `cause` is not automatically incorporated into this exception's detail message.

Parameters:
  `message` - The detail message which is saved for later retrieval by the `Throwable.getMessage()` method.
  `cause` - The cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
Since:
  1.4

### EncoderException

public EncoderException(Throwable cause)
Deprecated.
Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables.

Parameters:
  `cause` - The cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
Since:
  1.4